List resources
GET
/api/v1/workspaces/{workspace_id}/connectors/{id}/resources
const url = 'https://example.com/%7B%7Bapp_url%7D/api/v1/workspaces/1/connectors/1/resources';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/%7B%7Bapp_url%7D/api/v1/workspaces/1/connectors/1/resources \ --header 'Authorization: Bearer <token>'Retrieves a page of existing resources (e.g. templates) in the connector that an export can overwrite.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”workspace_id
required
integer
Workspace ID
id
required
integer
Connector ID
Query Parameters
Section titled “Query Parameters”q
string
Filter resources by name
cursor
string
Opaque cursor from a previous response’s next_cursor
per
integer
Page size
Responses
Section titled “Responses”Successful
Media typeapplication/json
object
results
required
Array<object>
object
id
required
string
name
required
string
folder_name
string | null
updated_at
string | null format: date-time
next_cursor
required
Pass as the cursor query param to fetch the next page. Null when there are no more results.
string | null
Examplegenerated
{ "results": [ { "id": "example", "name": "example", "folder_name": "example", "updated_at": "2026-04-15T12:00:00Z" } ], "next_cursor": "example"}Unauthorized
Media typeapplication/json
object
message
required
string
Example
{ "message": "Record not found"}Forbidden
Media typeapplication/json
object
message
required
string
Example
{ "message": "Record not found"}Not Found
Media typeapplication/json
object
message
required
string
Example
{ "message": "Record not found"}Unprocessable Entity
Media typeapplication/json
object
message
required
string
Example
{ "message": "Record not found"}